;;; init --- Set up fuckin' emacs -*- lexical-binding: t -*-

;;; Commentary:
;; FUCK OFF

;;; Code:
;; Set up local load-path
(add-to-list 'load-path "~/.emacs.d/lisp")
(add-to-list 'load-path "/usr/local/share/emacs/site-lisp/notmuch")
(add-to-list 'load-path "/opt/homebrew/share/emacs/site-lisp/notmuch")

;; Removes all bars, be they scroll or menu, adds date/time to modeline, etc.
(when (fboundp 'tool-bar-mode) (tool-bar-mode -1))
(when (fboundp 'menu-bar-mode) (menu-bar-mode -1))
(when (fboundp 'scroll-bar-mode) (scroll-bar-mode -1))

;; initalize all ELPA packages
(load "package")

(add-to-list 'package-archives
             '("melpa" . "https://melpa.org/packages/"))
(add-to-list 'package-archives
             '("melpa-stable" . "https://stable.melpa.org/packages/"))

(package-initialize)
(setq package-enable-at-startup nil)

(unless (package-installed-p 'use-package)
  (package-refresh-contents)
  (package-install 'use-package))

;; Get use-package
(load "use-package")

(load "cl-lib")
(load "org")
(org-babel-load-file
 (expand-file-name "conf.org"
                   user-emacs-directory) t)

;; keep customize settings in their own file
(setq custom-file "~/.emacs.d/custom-pi.el")
(when (file-exists-p custom-file)
  (load custom-file))

(org-reload)
(server-start)

(put 'narrow-to-region 'disabled nil)
(put 'downcase-region 'disabled nil)
(put 'upcase-region 'disabled nil)
